Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst.semi_supervised
Class GECriterion

    java.lang.Object
      cc.mallet.fst.semi_supervised.GECriterion

Direct Known Subclasses:
  GEKLCriterion, GEL2Criterion

    public abstract class GECriterion

extends java.lang.Object

Field Summary
`protected double` | `count`
`protected double[]` | `expectation`
`protected java.lang.String` | `name`
`protected double[]` | `target`
`protected double` | `weight`

Constructor Summary
`GECriterion(java.lang.String name, double[] target, double weight)`

Method Summary
`double` | `getCount()` Returns the count of the feature.
`double[]` | `getExpectation()` Returns the model expectation of the feature.
`double` | `getExpectation(int li)` Returns the model expectation for the feature and label li.
`protected abstract double` | `getGradientConstant(int labelIndex)` Returns the constant value from the gradient, which will be different for different criteria.
`java.lang.String` | `getName()` Returns the constraint name.
`double[]` | `getTarget()` Returns the target expectation for the feature.
`double` | `getTarget(int li)` Returns the target expectation for the feature and label li.
`double` | `getWeight()` Returns the weight (gamma) for the constraint.
`protected void` | `setCount(double count)`
`protected void` | `setExpectation(double[] expectation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### weight

    protected double weight

### target

    protected double[] target

### expectation

    protected double[] expectation

### count

    protected double count

Constructor Detail

### GECriterion

    public GECriterion(java.lang.String name,
                       double[] target,
                       double weight)

Method Detail

### getName

    public java.lang.String getName()

  Returns the constraint name.

### getWeight

    public double getWeight()

  Returns the weight (gamma) for the constraint.

### getTarget

    public double[] getTarget()

  Returns the target expectation for the feature.

### getTarget

    public double getTarget(int li)

  Returns the target expectation for the feature and label li.

  Parameters:
    `li` - label index

### getExpectation

    public double[] getExpectation()

  Returns the model expectation of the feature.

### getExpectation

    public double getExpectation(int li)

  Returns the model expectation for the feature and label li.

  Parameters:
    `li` - label index

### setExpectation

    protected void setExpectation(double[] expectation)

### getCount

    public double getCount()

  Returns the count of the feature.

### setCount

    protected void setCount(double count)

### getGradientConstant

    protected abstract double getGradientConstant(int labelIndex)

  Returns the constant value from the gradient, which will be different for different criteria.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD